Subject: Re: [PATCH 00/17] Networking driver debugfs cleanups

From: Greg KH <[email-masked]>
Date: Fri, 9 Aug 2019 14:30:27 +0200

On Thu, Aug 08, 2019 at 06:42:37PM -0700, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Thu, 08 Aug 2019 18:37:56 -0700 (PDT)
> 
> > I applied this without patch #17 which you said you would respin in order
> > to get rid of the now unused local variable.
> 
> Actually, there is a bunch of fallout still:
> 
> drivers/net/wimax/i2400m/debugfs.c: In function ‘i2400m_debugfs_add’:
> drivers/net/wimax/i2400m/debugfs.c:192:17: warning: unused variable ‘dev’ [-Wunused-variable]
>   struct device *dev = i2400m_dev(i2400m);
>                  ^~~
> drivers/net/wimax/i2400m/usb.c: In function ‘i2400mu_debugfs_add’:
> drivers/net/wimax/i2400m/usb.c:375:17: warning: unused variable ‘fd’ [-Wunused-variable]
>   struct dentry *fd;
>                  ^~
> drivers/net/wimax/i2400m/usb.c:373:17: warning: unused variable ‘dev’ [-Wunused-variable]
>   struct device *dev = &i2400mu->usb_iface->dev;
>                  ^~~
> drivers/net/wimax/i2400m/usb.c:372:6: warning: unused variable ‘result’ [-Wunused-variable]
>   int result;
>       ^~~~~~
> drivers/net/ethernet/intel/i40e/i40e_debugfs.c: In function ‘i40e_dbg_pf_init’:
> drivers/net/ethernet/intel/i40e/i40e_debugfs.c:1736:23: warning: unused variable ‘dev’ [-Wunused-variable]
>   const struct device *dev = &pf->pdev->dev;
>                        ^~~
> 
> This is with:
> 
> [davem@localhost net-next]$ gcc --version
> gcc (GCC) 8.3.1 20190223 (Red Hat 8.3.1-2)
> Copyright (C) 2018 Free Software Foundation, Inc.
> This is free software; see the source for copying conditions.  There is NO
> warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
> 
> [davem@localhost net-next]$ 
> 
> So I'm reverting.
> 
> Please respin the series with this stuff fixed, thanks Greg.

Ugh, that sucks, it looks like I never even built this series.  My
apologies for wasting people's time.

Let me fix this all up, properly build it, and resend.

thanks,

greg k-h